package com.scs.techynews;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.widget.Button;
import android.view.View.OnClickListener;

public class MainActivity extends Activity
    implements OnClickListener{

    private final int menuSize = 5;
	private Button [] buttonsMenu = new Button [5] ;
    private int [] buttonsId = {R.id.tcbutton, R.id.wiredbutton, R.id.hnewsbutton, R.id.engadgetbutton, R.id.vergebutton};

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		for (int i=0 ; i<menuSize ; ++i) {
			buttonsMenu[i] = (Button) findViewById (buttonsId[i]) ;
			buttonsMenu[i].setOnClickListener(this);
		}
        
	}

	@Override
	public void onClick (View v) {
		switch (v.getId()) {

        case (R.id.tcbutton):
               Intent tcIntent = new Intent(MainActivity.this, TcActivity.class);
               this.startActivity(tcIntent);
               break;

		case (R.id.wiredbutton):
               Intent wiredIntent = new Intent(MainActivity.this, WiredActivity.class);
               this.startActivity(wiredIntent);
               break;

        case (R.id.hnewsbutton):
               Intent hNewsIntent = new Intent(MainActivity.this, HNewsActivity.class);
               this.startActivity(hNewsIntent);
               break;

        case (R.id.engadgetbutton):
               Intent engadgetIntent = new Intent(MainActivity.this, EngadgetActivity.class);
               this.startActivity(engadgetIntent);
               break;

        case (R.id.vergebutton):
               Intent vergeIntent = new Intent(MainActivity.this, VergeActivity.class);
               this.startActivity(vergeIntent);
               break;
		}
	}

}
